package com.hzya.frame.plugin.cinvoice.lexmis.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 迈锐思-客运汽车发票表
 * @tableName: lexmisciv_businvoice
 * @entityName: LexmiscivBusinvoiceEntity
 * @author: gjh
 * @history: 1.0
 */
public class LexmiscivBusinvoiceEntity extends BaseEntity {
	public LexmiscivBusinvoiceEntity() {

	}

	public LexmiscivBusinvoiceEntity(String BI_ID,String dataSourceCode) {
		this.BI_ID = BI_ID;
		this.setDataSourceCode(dataSourceCode);
	}

	/**
     * 无备注
     */
    private String BI_ID;
    /**
     * 无备注
     */
    private String BI_FPDM;
    /**
     * 无备注
     */
    private String BI_FPHM;
    /**
     * 无备注
     */
    private String BI_NO;
    /**
     * 无备注
     */
    private String BI_SEAT;
    /**
     * 无备注
     */
    private String BI_FSTATION;
    /**
     * 无备注
     */
    private String BI_TSTATION;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date BI_DATE;
    /**
     * 无备注
     */
    private String BI_TIME;
    /**
     * 无备注
     */
    private BigDecimal BI_TOTALAMOUNT;
    /**
     * 无备注
     */
    private String BI_USERNAME;
    /**
     * 无备注
     */
    private String BI_USERID;
    /**
     * 无备注
     */
    private String BI_TAXRATE;
    /**
     * 无备注
     */
    private BigDecimal BI_TAXAMOUNT;
    /**
     * 无备注
     */
    private BigDecimal BI_NOTAXAMOUNT;
    /**
     * 无备注
     */
    private String BI_AREACODE;
    /**
     * 无备注
     */
    private String BI_AREANAME;
    /**
     * 无备注
     */
    private String BI_KEY;
    /**
     * 无备注
     */
    private Integer BI_COUNT;
    /**
     * 无备注
     */
    private String BI_DATETIME;
    /**
     * 无备注
     */
    private String BI_EDATETIME;


	public String getBI_ID() {
		return BI_ID;
	}

	public void setBI_ID(String BI_ID) {
		this.BI_ID = BI_ID;
	}

	/**
     * 无备注
     */
    public void setBI_FPDM(String BI_FPDM) {
        this.BI_FPDM = BI_FPDM;
    }

    /**
     * 无备注
     */
    public String getBI_FPDM() {
        return BI_FPDM;
    }


    /**
     * 无备注
     */
    public void setBI_FPHM(String BI_FPHM) {
        this.BI_FPHM = BI_FPHM;
    }

    /**
     * 无备注
     */
    public String getBI_FPHM() {
        return BI_FPHM;
    }


    /**
     * 无备注
     */
    public void setBI_NO(String BI_NO) {
        this.BI_NO = BI_NO;
    }

    /**
     * 无备注
     */
    public String getBI_NO() {
        return BI_NO;
    }


    /**
     * 无备注
     */
    public void setBI_SEAT(String BI_SEAT) {
        this.BI_SEAT = BI_SEAT;
    }

    /**
     * 无备注
     */
    public String getBI_SEAT() {
        return BI_SEAT;
    }


    /**
     * 无备注
     */
    public void setBI_FSTATION(String BI_FSTATION) {
        this.BI_FSTATION = BI_FSTATION;
    }

    /**
     * 无备注
     */
    public String getBI_FSTATION() {
        return BI_FSTATION;
    }


    /**
     * 无备注
     */
    public void setBI_TSTATION(String BI_TSTATION) {
        this.BI_TSTATION = BI_TSTATION;
    }

    /**
     * 无备注
     */
    public String getBI_TSTATION() {
        return BI_TSTATION;
    }


    /**
     * 无备注
     */
    public void setBI_DATE(Date BI_DATE) {
        this.BI_DATE = BI_DATE;
    }

    /**
     * 无备注
     */
    public Date getBI_DATE() {
        return BI_DATE;
    }


    /**
     * 无备注
     */
    public void setBI_TIME(String BI_TIME) {
        this.BI_TIME = BI_TIME;
    }

    /**
     * 无备注
     */
    public String getBI_TIME() {
        return BI_TIME;
    }


    /**
     * 无备注
     */
    public void setBI_TOTALAMOUNT(BigDecimal BI_TOTALAMOUNT) {
        this.BI_TOTALAMOUNT = BI_TOTALAMOUNT;
    }

    /**
     * 无备注
     */
    public BigDecimal getBI_TOTALAMOUNT() {
        return BI_TOTALAMOUNT;
    }


    /**
     * 无备注
     */
    public void setBI_USERNAME(String BI_USERNAME) {
        this.BI_USERNAME = BI_USERNAME;
    }

    /**
     * 无备注
     */
    public String getBI_USERNAME() {
        return BI_USERNAME;
    }


    /**
     * 无备注
     */
    public void setBI_USERID(String BI_USERID) {
        this.BI_USERID = BI_USERID;
    }

    /**
     * 无备注
     */
    public String getBI_USERID() {
        return BI_USERID;
    }


    /**
     * 无备注
     */
    public void setBI_TAXRATE(String BI_TAXRATE) {
        this.BI_TAXRATE = BI_TAXRATE;
    }

    /**
     * 无备注
     */
    public String getBI_TAXRATE() {
        return BI_TAXRATE;
    }


    /**
     * 无备注
     */
    public void setBI_TAXAMOUNT(BigDecimal BI_TAXAMOUNT) {
        this.BI_TAXAMOUNT = BI_TAXAMOUNT;
    }

    /**
     * 无备注
     */
    public BigDecimal getBI_TAXAMOUNT() {
        return BI_TAXAMOUNT;
    }


    /**
     * 无备注
     */
    public void setBI_NOTAXAMOUNT(BigDecimal BI_NOTAXAMOUNT) {
        this.BI_NOTAXAMOUNT = BI_NOTAXAMOUNT;
    }

    /**
     * 无备注
     */
    public BigDecimal getBI_NOTAXAMOUNT() {
        return BI_NOTAXAMOUNT;
    }


    /**
     * 无备注
     */
    public void setBI_AREACODE(String BI_AREACODE) {
        this.BI_AREACODE = BI_AREACODE;
    }

    /**
     * 无备注
     */
    public String getBI_AREACODE() {
        return BI_AREACODE;
    }


    /**
     * 无备注
     */
    public void setBI_AREANAME(String BI_AREANAME) {
        this.BI_AREANAME = BI_AREANAME;
    }

    /**
     * 无备注
     */
    public String getBI_AREANAME() {
        return BI_AREANAME;
    }


    /**
     * 无备注
     */
    public void setBI_KEY(String BI_KEY) {
        this.BI_KEY = BI_KEY;
    }

    /**
     * 无备注
     */
    public String getBI_KEY() {
        return BI_KEY;
    }


    /**
     * 无备注
     */
    public void setBI_COUNT(Integer BI_COUNT) {
        this.BI_COUNT = BI_COUNT;
    }

    /**
     * 无备注
     */
    public Integer getBI_COUNT() {
        return BI_COUNT;
    }


    /**
     * 无备注
     */
    public void setBI_DATETIME(String BI_DATETIME) {
        this.BI_DATETIME = BI_DATETIME;
    }

    /**
     * 无备注
     */
    public String getBI_DATETIME() {
        return BI_DATETIME;
    }


    /**
     * 无备注
     */
    public void setBI_EDATETIME(String BI_EDATETIME) {
        this.BI_EDATETIME = BI_EDATETIME;
    }

    /**
     * 无备注
     */
    public String getBI_EDATETIME() {
        return BI_EDATETIME;
    }


}
